HDF5(1)

NAME
h5ar - HDF5 archiver

SYNOPSIS
h5ar [ARCHIVE [option [...]] <archive_file> <item-to-archive> [...] | CAT [option [...]] <archive_file> <item-to-cat> [...] | EXTRACT [option [...]] <archive_file> [<item-to-unarchive> [...]] | DELETE [option [...]] <archive_file> <item-to-delete> [...] | LIST [option [...]] <archive_file> [<item-to-list> [...]] | VERIFY [option [...]] <archive_file> [<item-to-verify> [...]]]

DESCRIPTION
h5ar is a HDF5 archiver, which can create an HDF5 archive, extract it and manipulate it in various ways. It does to by calling an executable jar file.

OPTIONS

-B, --build
    prints out the build and environment information

-C, --compress-all
    compresses all files

-D, --suppress-directories
    suppresses output for directories itself for LIST and VERIFY (default: false)

-E, --exclude-dirs REGEX
    excludes directories according to provided regex

-F, --file-format N
    specifies the file format version when creating an archive (N=1 -> HDF51.8 (default), N=2 -> HDF51.10), N=99 -> LATEST (default: 1)

-H, --help
    shows this help text

-I, --include-dirs REGEX
    includes directories according to provided regex

-N, --no-sync
    does not sync to disk before program exits (write mode only) (default: false)

-R, --recursive
    recursive LIST and VERIFY (default: false)

-S, --stop-on-error
    stops on first error and gives detailed error report (default: false)

-V, --version
    prints out the version information

-a, --verify-attributes
    considers file attributes for VERIFY (default: false)

-c, --compress REGEX
    compresses files according to provided regex

-e, --exclude REGEX
    excludes files according to provided regex

-i, --include REGEX
    includes files according to provided regex

-m, --check-missing-files
    checks for files present on the filesystem but missing from the archive for VERIFY (default: false)

-n, --numeric
    uses numeric values for mode, uid and gid for LIST and VERIFY (default: false)

-nc, --no-compression REGEX does not compress files satisfying provided regex

-q, --quiet
    quiet operation (only error output) (default: false)

-r, --root-dir DIR
    root directory for archiving / extracting / verifying

-t, --test-checksums
    tests CRC32 checksums of files in archive for LIST (default: false)

-v, --verbose
    verbose output (all operations) (default: false)

  Modes (command capitalization ignored):

    ARCHIVE (AR, A): add files on the file system to an archive (always recursive)
    CAT (C): extract files from an archive to stdout
    EXTRACT (EX, E): extract files from an archive to the file system (always recursive)
    DELETE (REMOVE, RM, D): delete files from an archive
    LIST (LS, S): list files in an archive
    VERIFY (VF, V): verify the existence and integrity of files on the file system vs. the contents of an archive

EXAMPLES

    h5ar ar /tmp/home -r ~/ .

    - will create home.h5ar in /tmp containing all files of the user's home directory (note: ARCHIVE is always recursive).

    h5ar ls -v -R -t -S /tmp/home

    - will list the full content of archive /tmp/home.h5ar recursively, with full detail and verify the checksums; stop if there is a checksum mismatch.

    h5ar vf -r ~/ -v -R -m /tmp/home foo bar

    - will verify the contents of directories foo/ and bar/ in archive /tmp/home.h5ar recursively against the user's home directory, detecting any missing files.

SEE ALSO
The full documentation for HDF5 is maintained as a Texinfo manual. If the info and HDF5 programs are properly installed at your site, the command

    info HDF5

should give you access to the complete manual.

AUTHOR
This manual page was created by Pierre Gruet <pgt@debian.org> for the Debian GNU/Linux distribution, because the original package does not have one.